Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Kein Skype mehr ohne pulsaudio?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2, 3, 4  Next  
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Fri Aug 08, 2014 5:01 pm    Post subject: Kein Skype mehr ohne pulsaudio? Reply with quote

Nach langer Zeit wollte ich mit einer Bekannten skypen und stelle fest, dass ich mich nicht mehr einloggen kann. Fehleranalyse: MS unterstützt nur noch 4.3*. Aber es gibt keine Version auf 4.3* mehr die ohne pulsaudio läut. Na toll. Gibt es einen workaround, das doch noch hinzubekommen?
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Fri Aug 08, 2014 5:23 pm    Post subject: Reply with quote

Ich konnte gestern noch mit meiner 4.2.x Version skypen.
Die braucht kein Pulseaudio...
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 299
Location: Austria

PostPosted: Fri Aug 08, 2014 11:27 pm    Post subject: Reply with quote

4.3 mit Pulse geht hier ohne Probleme. Audigy2.

lg
Back to top
View user's profile Send private message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Sat Aug 09, 2014 9:05 am    Post subject: Reply with quote

Finswimmer wrote:
Ich konnte gestern noch mit meiner 4.2.x Version skypen.
Die braucht kein Pulseaudio...


Kannst Du mir die genaue Version sagen? Es gibt hier einen englischen Thread, in dem gesagt wird, dass alle 4.2* Versionen von MS ausgesperrt wurden. Vielleicht hat ja jemand Blösinn erzählt.

Ich habe jetzt auf 4.2.0.13 upgegraded und es sagt mir immer: "Skype can´t connect". IMHO ist das die höchste 4.2* Version!?
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Sat Aug 09, 2014 10:22 am    Post subject: Reply with quote

4.2.0.13 habe ich auch.
Und ich kann mich verbinden, zumindest sehe ich dass 3 Kontakte online sind.
Wo taucht denn bei dir die Meldung auf?
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3649
Location: Germany

PostPosted: Sat Aug 09, 2014 1:10 pm    Post subject: Reply with quote

Erdie wrote:
Es gibt hier einen englischen Thread, in dem gesagt wird,[...]

Ohne angabe der Quelle sind solche Infos meist wenig wert.
Back to top
View user's profile Send private message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Sun Aug 10, 2014 3:09 pm    Post subject: Reply with quote

Josef.95 wrote:
Erdie wrote:
Es gibt hier einen englischen Thread, in dem gesagt wird,[...]

Ohne angabe der Quelle sind solche Infos meist wenig wert.


Da hast Du zwar Recht aber leider habe ich ihn nicht mehr wiedergefunden. Bin zuvor zufaellig drauf gestossen.
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Sun Aug 10, 2014 3:11 pm    Post subject: Reply with quote

Finswimmer wrote:
4.2.0.13 habe ich auch.
Und ich kann mich verbinden, zumindest sehe ich dass 3 Kontakte online sind.
Wo taucht denn bei dir die Meldung auf?


Wenn ich Skype starte, kommt ein Login Screen, wenn die da die Credentials eingebe, steht oben drueber "Skype cant connect" mit rotem Kreis und Rufzeichen davor.
Ich habe sogar das Passwort erneuert und damit ging es genausowenig.
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Sun Aug 10, 2014 4:13 pm    Post subject: Reply with quote

Interessant.
Ich bin mit dem Skype Account schon registriert und er loggt sich automatisch ein.
Unter einem anderen Nutzer kann ich mich auch nicht neu einloggen.
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Sun Aug 10, 2014 5:08 pm    Post subject: Reply with quote

Finswimmer wrote:
Interessant.
Ich bin mit dem Skype Account schon registriert und er loggt sich automatisch ein.
Unter einem anderen Nutzer kann ich mich auch nicht neu einloggen.


Ich hatte seit langem Skype nicht mehr gestartet. Vermutlich muß man sich nach langer "Enthaltsamkeit" wieder eingloggen, was dann an irgendwas scheitert. Naja, vielleicht ist es auch gut so wenn man es nicht mehr nutzt. Da es jetzt in Teufels Hand ist ..
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Mon Aug 11, 2014 8:18 am    Post subject: Reply with quote

skype.com -> auf System Requirements klicken.

Und ja. Skype 4.2 wird vom Server blockiert. Man kann sich nicht mehr einloggen. Das Ganze geht schon seit ein paar Wochen so. Aber auch in der Windows-Version gab's ein Zwangs-Upgrade mit Blockierung von älteren Versionen.

Gerade in meiner Situation ist das natürlich etwas dumm. Skype hatte ich benutzt, damit meine Schwägerin in Südamerika mal unseren Sohnemann sehen kann. Dort hatte ich im Januar ein Suse Linux installiert. Da Skype sich nicht an Linux-Konventionen hält, hatte Suse Skype aus dem Paketmanager verbannt. Die Installation erfolgte dann über ein lokales Repository, in das man das selbst runtergeladene RPM-Paket reinschmeißt. Oder mit anderen Worten: Das Update ist nicht trivial. Und da ich wohl erst in 1-2 Jahren dort mal wieder aufschlagen werde, gibt's bis dahin keinen Video-Messenger.

Ansonsten hab ich noch bei meinem Vater Skype installiert. Pulseaudio ist aber auf keinem der von mir betreuten Rechner drauf (beim Suse manuell runtergeschmissen, bei Arch und Gentoo gar nicht erst installiert.)

Installiert man Skype 4.3 auf Gentoo 64bit, dann könnte die Installation sogar noch funktionieren, da Pulseaudio wohl in den 32bit-Emul-Libs vorhanden sein wird.

Dieser tolle Schritt von M$ wäre natürlich gleich mal die Gelegenheit, nach Alternativen zu suchen, die da wären:
  • Viber: Ist wohl eine Mischung aus What's App und Skype. Unterstützt sowohl Android als auch Linux. Ist relativ verbreitet. Es scheint auch ein neues Ebuild zu geben. Ist bisher der hoffnungsvollste Kandidat.
  • Line Messenger: Keine Linux-Version. Line ist in Asien eher populär.
  • Facebook-Chat: Ansich sympatisch, da Facebook XMPP, d.h. Jabber verwendet. Dummerweise geht Video nur bei Windows. Hab mal irgendwo gelesen, dass Facebook da wohl irgendwie ein Skype-Modul benutzt.
  • Google Hangouts: Nur mit/im Chrome.Update: Hab grad rausgefunden, dass es auch ein Firefox-Plugin (Gentoo-Ebuild) gibt.


Falls hier jemand noch weitere Ideen, Anregungen oder Korrekturen hat, immer her damit!

2. Update:
Hab grad mal mein Google-Konto (was noch aus Youtube-Zeiten meine alte GMX-Adresse ist) bei Pidgin reingehackt. Ich kann mich tatsächlich zu talk.google.com problemlos verbinden. Nur das Suchen von Hangout-Kontakten klappt irgendwie nicht.
Back to top
View user's profile Send private message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Mon Aug 11, 2014 10:53 am    Post subject: Reply with quote

Wenn Google Hangouts auch ohne das Talk Plugin funktionieren, wäre das cool. Bisher habe ich auch Google Talk als Alternative genutzt. Kannst Du mit Pigin auch Videokonferenzen mit mehr als 2 Teilnehmern machen?
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Mon Aug 11, 2014 11:08 am    Post subject: Reply with quote

Ich muss mich korrigieren. Ich steig noch nicht so direkt dahinter. Aber es wird langsam.

  • Ich kann bei GMX mit meiner E-Mail-Adresse auf dem Jabber-Server anmelden (xmpp-gmx.gmx.net).
  • Diese E-Mail-Adresse ist auch mein Google-Login (damals über Youtube). Geb ich jetzt als Jabber-Server: talk.google.com an, kann ich mich nicht mehr anmelden. Aber Pidgin vermatscht dabei irgendwie die Konten.
  • Mein Arbeitskollege hat's irgendwie geschafft, mit seiner GMail-Adresse ein Invite abzusenden, was in meinem Pidgin angekommen ist. Den hab ich jetzt auch in der Liste drin. Ich glaub, das ist aber noch Google-Talk. Hat er über den Browser
  • Eine Suche von mir ausgehend nach der GMail-Adresse eines anderen Freundes schlägt hingegen fehl. (vermutlich Google Hangout).


Scheinbar gibt's keinen Standalone-Client, der Google Hangouts unterstützt, nachdem Google vom Standard-XMPP weg ist.

Grad wieder was rausgefunden:
Irgendwie hat mein Arbeitskollege (der, bei dem es funktionierte) die Einladung über seine GMail-Konto-Seite abgeschickt. Da stand ich dann 2x drin. Dann hat er was umgestellt (Wechsel von Talk auf Hangout). Und plötzlich kommen meine Nachrichten nicht mehr an.

Ist wohl wirklich so, dass es noch parallel Hangouts und Talk gibt, und zu Hangout kann man sich scheinbar nicht mit einem externen Client verbinden.
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1178

PostPosted: Mon Aug 11, 2014 12:49 pm    Post subject: Reply with quote

was ist denn mit ekiga als skype alternative?
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2227
Location: Germany

PostPosted: Tue Aug 19, 2014 12:18 pm    Post subject: Reply with quote

Quote:
....Google Talk....


Ist doch AFAIK auch nur eine Jabber Variante. Wie es mit Jabber und Video ausschaut weiß ich nicht. Denke aber das das ein eigener Jabber-Server und mit gpg verschlüsselte/verifizierte Situzungen hier die beste Lösung sind!

Bis auf die Community-Skype-Konto-Funktion verstehe ich nicht warum jemand Skype nutzt.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Wed Aug 20, 2014 11:40 am    Post subject: Reply with quote

ChrisJumper wrote:
Bis auf die Community-Skype-Konto-Funktion verstehe ich nicht warum jemand Skype nutzt.

Weil es alle nutzen.

Nicht die Technik, sondern die Akzeptanz und der Verbreitungsgrad sind (leider) entscheidend.

Und ja, Google Talk war nur ein Jabber-Dienst. Mit Hangouts hat Google aber ein zu Jabber inkompatibles Protokoll entwickelt. Nach ein paar Tagen Nutzung muss ich jetzt sagen, dass mir Google Hangouts zumindest vom Chatten her nicht sonderlich sympathisch ist. Ich hätte doch lieber einen Standalone-Client auf dem Rechner.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Thu Aug 21, 2014 5:19 am    Post subject: Reply with quote

Btw. hat mal jemand Linphone getestet?
Back to top
View user's profile Send private message
TheSmallOne
Guru
Guru


Joined: 22 Jan 2005
Posts: 461
Location: Germany

PostPosted: Sun Aug 24, 2014 11:51 am    Post subject: Reply with quote

musv wrote:
Btw. hat mal jemand Linphone getestet?


Ich verwende Linphone mit meinem Sipgate Account zum Telefonieren aus dem Ausland.
Von der Bedienung her nicht so richtig komfortabel, aber im Grunde funktioniert es ganz gut. Auch die Videofunktion ist ganz okay, obwohl es mir manchmal passiert, dass das Video einfriert und sich nicht wieder erholt, aber das mag auch an zu langsammen Internetverbindungen liegen.
Auf jeden Fall lässt sich (in den fortgeschrittenen Einstellungen) eine Menge einstellen.
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Wed Aug 27, 2014 6:03 am    Post subject: Reply with quote

Wieso wird man denn von skype zu pulseaudio gezwungen? Es gibt pulseaudio als USE-Flag, aber dann setzt du halt -pulseaudio und gut ist.
Back to top
View user's profile Send private message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Wed Aug 27, 2014 6:56 am    Post subject: Reply with quote

Klaus Meier wrote:
Wieso wird man denn von skype zu pulseaudio gezwungen? Es gibt pulseaudio als USE-Flag, aber dann setzt du halt -pulseaudio und gut ist.


Das habe ich schon seit Beginn aller Zeiten. Die neueren Skype Versione setzen aber pulsaudio zwingend voraus. Es gibt keine Option mehr.
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Wed Aug 27, 2014 12:50 pm    Post subject: Reply with quote

Code:
USE="-pulseaudio" emerge -pv skype

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] app-emulation/emul-linux-x86-baselibs-20140508-r14  USE="development kerberos ldap pam" ABI_X86="-32" 39.395 KiB
[ebuild  N     ] app-emulation/emul-linux-x86-db-20140508-r2  USE="development" ABI_X86="-32" 1.470 KiB
[ebuild  N     ] app-emulation/emul-linux-x86-opengl-20140508  USE="development" ABI_X86="-32" 48.065 KiB
[ebuild  N     ] app-emulation/emul-linux-x86-xlibs-20140508  USE="(development) opengl" ABI_X86="-32" 2.704 KiB
[ebuild  N     ] app-emulation/emul-linux-x86-medialibs-20140508-r6  USE="development" ABI_X86="-32" 11.058 KiB
[ebuild  N     ] app-emulation/emul-linux-x86-soundlibs-20140508  USE="alsa development -pulseaudio" ABI_X86="-32" 7.090 KiB
[ebuild  N     ] app-emulation/emul-linux-x86-qtlibs-20140508-r1  USE="development -mng" 14.124 KiB
[ebuild  N     ] net-im/skype-4.3.0.37  USE="-pax_kernel -pulseaudio (-selinux)" 18.859 KiB

Total: 8 packages (8 new), Size of downloads: 142.761 KiB

Hm, kann ich nicht nachvollziehen.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3649
Location: Germany

PostPosted: Wed Aug 27, 2014 2:53 pm    Post subject: Reply with quote

Ja es gibt das pulseaudio Useflag - was dann aber wohl eher bedeutet "Sound Ja/Nein"
Siehe zb im
skype-4.3.0.37.ebuild:
        if ! use pulseaudio; then
                ewarn "ALSA support was removed from Skype"
                ewarn "consider installing media-sound/pulseaudio"
                ewarn "otherwise sound will not work for you."
        fi
Sprich mit USE=-pulseaudio
gibt es dann halt gar kein Sound mehr, da man ALSA nicht mehr unterstützt :(
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Wed Aug 27, 2014 2:59 pm    Post subject: Reply with quote

Sorry, aber das sieht man der Sache erst mal so nicht an...
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Sat Aug 30, 2014 6:16 am    Post subject: Reply with quote

Ich wurde heute mit meiner 4.2 Version rausgeschmissen und kann mich nicht mehr anmelden.
Also heißt es jetzt bei mir: Entweder PulseAudio oder kein Skype. Das ist leider fast nicht möglich, da ich für die Arbeit brauche ab und zu den Bildschirm freigeben muss.
Video über Webcam brauche ich fast nie... Muss mal in einer ruhigen Minute schauen, was man da so nutzen kann.
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Sat Aug 30, 2014 6:23 am    Post subject: Reply with quote

Ich mag es ja auch nicht, wenn man zu so etwas gezwungen wird. Aber was genau ist das Problem mit Pulseaudio? ich finde es nett, dass ich die Lautstärke für die Anwendungen einzeln einstellen kann. Auch das man direkt eingeben kann, was für ein Lautsprechersystem man verwendet.

Und bei den meisten Anwendungen kann man doch in der Konfiguration angeben, ob man Alsa oder Pulseaudio verwenden möchte. Nur bei Skype nicht, habs gesehen, hab es gerade installiert.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Goto page 1, 2, 3, 4  Next
Page 1 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum